### Method

# Gtk Bitsetsplice

#### Declaration [src]

    void
    gtk_bitset_splice (
      GtkBitset* self,
      guint position,
      guint removed,
      guint added
    )

#### Description [src]

This is a support function for `GListModel` handling, by mirroring the `GlistModel::items-changed` signal.

First, it “cuts” the values from `position` to `removed` from the bitset. That is, it removes all those values and shifts all larger values to the left by `removed` places.

Then, it “pastes” new room into the bitset by shifting all values larger than `position` by `added` spaces to the right. This frees up space that can then be filled.

#### Parameters

`position`

  Type: `guint`

  Position at which to slice.

`removed`

  Type: `guint`

  Number of values to remove.

`added`

  Type: `guint`

  Number of values to add.